Subject: compiling on IRIX 5.3

From: [email-masked]
Date: Tue, 12 Sep 1995 13:24:36 -0400 (EDT)

Im having trouble compiling wu-ftpd on an SGI Challenge.

	I have made reference changes to the Makefiles to use CC -cckr instead 
of ansi and that has resovled all but one of the issues.

Im still having one that is stoping me from getting my ftpd created..

	The error now is..

don't know how to make /usr/lib/libc.a (bu42).

	As you can see from below.

	Once again thanks for the help. I appreciate the time spent on 
helping me with this.

	Thanks,

  -=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=-
  |   Miles D. Oliver - POSTMASTER    |   Network/Systems Administrator     |
  |   National Public Radio           |   W.      +1-202-414-2989           |
  |   635 Massachusetts Ave NW        |   FAX:    +1-202-414-3051           |
  |   Washington DC. 20001            |   Internet: [email-masked]         |
  |                                   |   http://www.npr.org/               |
  -=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=-
  | TECH:  Now is this a DOS or Windows product we are helping you with.... |
  | USER:       Gee.. I dont know.. Let me look at the box....              |
  -=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=--=-

majorca 835# ./build sgi
make args are : 
make opts are : 

Linking Makefiles.

Making support library.
        cc -cckr   -O -DDEBUG   -c getusershell.c
        cc -cckr   -O -DDEBUG   -c fnmatch.c
        cc -cckr   -O -DDEBUG   -c strcasestr.c
        cc -cckr   -O -DDEBUG   -c strsep.c
        cc -cckr   -O -DDEBUG   -c authuser.c
        rm -f libsupport.a
        ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strsep.o 
authuo
        touch libsupport.a

Making ftpd.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
        yacc  ftpcmd.y
        mv -f y.tab.c ftpcmd.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c ftpcmd.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c glob.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c logwtmp.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c popen.c
        sh newvers.sh
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c vers.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c access.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c extensions.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c realpath.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c acl.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c private.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c authenticate.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c conversions.c
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -c hostacc.c
don't know how to make /usr/lib/libc.a (bu42).

Making ftpcount.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ftpcount 
ftpcountt

Making ftpshut.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ftpshut 
ftpshut.ct

Making ckconfig.
        cc -cckr -O -DDEBUG -I.. -I../support -L../support -o ckconfig 
ckconfigc

Links to executables are in bin directory:
size: Error in reading object bin/ftpd

---

From: [email-masked] (Ketan Shah)
Date: Tue, 12 Sep 1995 14:24:42 -0400

I am interested in having a real user login and go directly to his directory.
How is this done and can it be done?

If I haven't explained to well ...., example

My parent organization wishes to have a secure account on our ftp site
to dnload/upload information from/to. They do not want anonymous login users
to access this directory.

1.How do I setup the user(s).  and have the person go straight to their
respective directory?

2. and limit access to anonymous logins

Thanks in advance.

-- 
Ketan Shah ([email-masked])
	
Varimetrix Corporation
2350 Commerce Pk. Dr., No. 4
Palm Bay, FL 32905
Tel. No.(407)-676-3222